<?php

/**
 * @file
 * Post update hooks for Media entity slideshow module.
 */

use Drupal\Core\Config\Entity\ConfigEntityUpdater;
use Drupal\media\MediaTypeInterface;
use Drupal\media_entity_slideshow\Plugin\media\Source\Slideshow;

/**
 * Set default thumbnails_directory.
 */
function media_entity_slideshow_post_update_set_thumbnail_directory(&$sandbox) {
  \Drupal::classResolver(ConfigEntityUpdater::class)->update($sandbox, 'media_type', function (MediaTypeInterface $mediaType) {
    if ($mediaType->getSource() instanceof Slideshow) {
      $config = $mediaType->getSource()->getConfiguration();
      $config['thumbnails_directory'] = 'public://slideshow_thumbnails';
      $mediaType->getSource()->setConfiguration($config);
      return TRUE;
    }
    return FALSE;
  });
}
